TermStructureFittingParameter Class Reference

Deterministic time-dependent parameter used for yield-curve fitting. More...

`#include <ql/models/parameter.hpp>`

Inheritance diagram for TermStructureFittingParameter:
[legend]

## Public Member Functions

| TermStructureFittingParameter (const ext::shared_ptr< Parameter::Impl > &impl)
| TermStructureFittingParameter (const Handle< YieldTermStructure > &term)
Public Member Functions inherited from Parameter
const Array & | params () const
void | setParam (Size i, Real x)
bool | testParams (const Array &params) const
Size | size () const
Real | operator() (Time t) const
const ext::shared_ptr< Impl > & | implementation () const
const Constraint & | constraint () const

## Additional Inherited Members

Protected Member Functions inherited from Parameter
| Parameter (Size size, const ext::shared_ptr< Impl > &impl, const Constraint &constraint)
Protected Attributes inherited from Parameter
ext::shared_ptr< Impl > | impl_
Array | params_
Constraint | constraint_

## Detailed Description

Deterministic time-dependent parameter used for yield-curve fitting.